// Define an alternate dark theme.
@use '@angular/material' as mat;
$indigo-primary: mat.define-palette(mat.$indigo-palette);
$indigo-accent: mat.define-palette(mat.$blue-grey-palette);
$indigo-warn: mat.define-palette(mat.$red-palette);
$indigo-theme: mat.define-light-theme(
  (
    color: (
      primary: $indigo-primary,
      accent: $indigo-accent,
      warn: $indigo-warn,
    ),
  )
);

// Include the indigo color styles inside of a block with a CSS class. You can make this
// CSS class whatever you want. In this example, any component inside of an element with
// `.unicorn-indigo-theme` will be affected by this alternate indigo theme instead of the default theme.
.theme-indigo {
  @include mat.all-component-colors($indigo-theme);

  .theme-bg {
    background-color: mat.get-color-from-palette($indigo-primary);
  }
}

.indigo-bg {
  background-color: mat.get-color-from-palette($indigo-primary);
}
